# eric4.QScintilla.Lexers.LexerMatlab

Module implementing a Matlab lexer with some additional methods.

### Global Attributes

None

### Classes

LexerMatlab | Subclass to implement some additional lexer dependent methods.

### Functions

None

## LexerMatlab

Subclass to implement some additional lexer dependent methods.

### Derived from

QsciLexerMatlab, Lexer

### Class Attributes

None

### Class Methods

None

### Methods

LexerMatlab | Constructor
defaultKeywords | Public method to get the default keywords.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

### Static Methods

None

#### LexerMatlab (Constructor)

LexerMatlab(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerMatlab.defaultKeywords

defaultKeywords(kwSet)

Public method to get the default keywords.

kwSet
  number of the keyword set (integer)

Returns:
  string giving the keywords (string) or None

#### LexerMatlab.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

Returns:
  flag indicating a comment style (boolean)

#### LexerMatlab.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

Returns:
  flag indicating a string style (boolean)

Up